
Redmine - Defect #35688

OpenIdAuthentication alias_method_chain

2021-08-05 11:32 - Brice Beaumesnil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 4.2.2

Description

Hello,

In redmine\lib\plugins\open_id_authentication\lib\open_id_authentication\request.rb

A alias_method_chain already exist.

It could be change change to :

        alias_method :request_method_without_openid, :request_method

        alias_method :request_method, :request_method_with_openid

Related issues:

Related to Redmine - Feature #35755: Drop OpenID support Closed

History

#1 - 2021-08-16 19:37 - Holger Just

- Related to Feature #35755: Drop OpenID support added

#2 - 2021-12-14 01:11 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.
